#!/bin/bash

  OUTPUTDIR=o/poster
  TMPDIR=tmp

# ======================================================= #
# ------------------------------------------------------- #
# CREATE SORTED LIST
# ------------------------------------------------------- #
# ------------------------------------------------------- #

  INPUTDIR=o/pdf
  LIST=$TMPDIR/m.list

# LIST AND SORT ACCORDING TO FILESIZE
# SEE man ls FOR OPTIONS

  ls -rS ${INPUTDIR}/*.pdf | tail -100 > $LIST



# ======================================================= #
# ------------------------------------------------------- #
# CREATE LaTeX CONTROL FILE
# ------------------------------------------------------- #
  
 COUNT3=0
 while [ $COUNT3 -le 1 ]
 do
 echo $COUNT3
    COUNT3=`expr $COUNT3 + 1`
    COUNT4=`expr $COUNT3 + 4`
 # LISTTOTAKE=`find $TMPDIR -name "*.list" | shuf -n 1`
  LISTTOTAKE=$TMPDIR/m.list
  TMPTEX=tmp$COUNT3.tex

 echo "\documentclass[9pt]{scrbook}          " >  $TMPTEX
 echo "\usepackage{pdfpages}                 " >> $TMPTEX

 echo "\begin{document}                      " >> $TMPTEX
 echo "                                      " >> $TMPTEX
 echo "\includepdfmerge                      " >> $TMPTEX
 echo "[                                     " >> $TMPTEX
 echo "nup=10x10,pages=1                     " >> $TMPTEX
 echo "scale=.9,		             " >> $TMPTEX
 echo "trim=2"$COUNT4"pt 26pt 26pt 26pt,clip,        " >> $TMPTEX
 echo "delta=0pt 0pt,offset="$COUNT4" 0              " >> $TMPTEX
 echo "]                                     " >> $TMPTEX
 echo "{                                     " >> $TMPTEX

 COUNT=1
 HOWMANYPDFS=`cat $LISTTOTAKE | wc -l`


 COUNT2=0
 while [ $COUNT2 -le 1 ]
 do
    echo $COUNT2
    COUNT2=`expr $COUNT2 + 1`
    ls -rS $INPUTDIR/*.pdf | tail -100 | shuf > tmp/m.list

# --------------------------------- #
  for PDF in `cat $LISTTOTAKE`
   do
     KOMMA=","
     if [ $COUNT -eq $HOWMANYPDFS ];
     then
          KOMMA=""
     fi
     echo ${PDF}${KOMMA} >> $TMPTEX
     COUNT=`expr $COUNT + 1`
  done
# --------------------------------- #
 done
 echo "}                                     " >> $TMPTEX
 echo "\end{document}                        " >> $TMPTEX

# ======================================================= #
# ------------------------------------------------------- #
# RENDER LaTeX FILE
# ------------------------------------------------------- #

 pdflatex -output-directory $OUTPUTDIR $TMPTEX

 rm $TMPTEX

 done

exit 0;

